Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface DataRange

All Superinterfaces:
  FrontsNode, OntResource, RDFNode, Resource

    public interface DataRange

extends OntResource

Represents an ontology DataRange: a class-like construct that contains only concrete data literals. See section 6.2 of the OWL language reference for details. In OWL Full, there is no difference between a DataRange and a Class.

Version:
  CVS $Id: DataRange.java,v 1.9 2008/01/02 12:06:42 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`void` | `addOneOf(java.util.Iterator literals)` Add each literal from the given iteratation to the enumeration that defines the permissible values of this datarange.
`void` | `addOneOf(Literal lit)` Add a literal to the enumeration that defines the permissible values of this class.
`RDFList` | `getOneOf()` Answer a list of literals that defines the extension of this datarange.
`boolean` | `hasOneOf(Literal lit)` Answer true if the given literal is one of the enumerated literals that are the permissible values of this datarange.
`ExtendedIterator` | `listOneOf()` Answer an iterator over all of the literals that are declared to be the permissible values for this class.
`void` | `removeOneOf(Literal lit)` Remove the statement that this enumeration includes `lit` among its members.
`void` | `setOneOf(RDFList en)` Assert that this data range is exactly the enumeration of the given individuals.

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asDatatypeProperty, asIndividual, asObjectProperty, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDatatypeProperty, isDefinedBy, isDifferentFrom, isIndividual, isObjectProperty, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setOneOf

    void setOneOf(RDFList en)

  Assert that this data range is exactly the enumeration of the given individuals. Any existing statements for `oneOf` will be removed.

  Parameters:
    `en` - A list of literals that defines the permissible values for this datarange
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### addOneOf

    void addOneOf(Literal lit)

  Add a literal to the enumeration that defines the permissible values of this class.

  Parameters:
    `lit` - A literal to add to the enumeration
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### addOneOf

    void addOneOf(java.util.Iterator literals)

  Add each literal from the given iteratation to the enumeration that defines the permissible values of this datarange.

  Parameters:
    `literals` - An iterator over literals
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### getOneOf

    RDFList getOneOf()

  Answer a list of literals that defines the extension of this datarange.

  Returns:
    A list of literals that is the permissible values
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### listOneOf

    ExtendedIterator listOneOf()

  Answer an iterator over all of the literals that are declared to be the permissible values for this class. Each element of the iterator will be an `Literal`.

  Returns:
    An iterator over the literals that are the permissible values
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### hasOneOf

    boolean hasOneOf(Literal lit)

  Answer true if the given literal is one of the enumerated literals that are the permissible values of this datarange.

  Parameters:
    `lit` - A literal to test
  Returns:
    True if the given literal is in the permissible values for this class.
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### removeOneOf

    void removeOneOf(Literal lit)

  Remove the statement that this enumeration includes `lit` among its members. If this statement is not true of the current model, nothing happens.

  Parameters:
    `lit` - A literal that may be declared to be part of this data range, and which is no longer to be one of the data range values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP